# WP Canvas - Shortcodes #

**Contributors:** cbaldelomar  
**Donate link:** http://webplantmedia.com/donate/
**Tags:** shortcode, shortcodes, accordion, accordions, tab, tabs, toggle, columns, column, section, sections, testimonials, border, borders, button, buttons, fullwidth, full width, notification, notifications, google maps, maps, googlemaps, social icons, progress bar, pricing, pricing box, highlights, image, flags, banners, countdown, rsvp, custom html, code, code snippets, snippets, isotope, masonry, posts, post_type, post slider, slider, font awesome, icons, fontawesome, fa, box, heading, inline code, divider, spacing, grid, center content, center, icons, image flag, image flags
**Requires at least:** 3.7  
**Tested up to:** 4.7.3
**Stable tag:** trunk  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html  

A plugin that adds a useful family of shortcodes to your WordPress theme. 

## Description ##

The Shortcodes by Angie Makes plugin adds a family of easy to use shortcodes to your WordPress theme. These shortcodes work flawlessly with [Angie Makes WordPress themes](http://angiemakes.com/feminine-wordpress-blog-themes-women/). Here are the handy shortcodes included with this plugin:

Columns

* 1/2 + 1/2
* 1/3 + 1/3 + 1/3
* 1/3 + 2/3
* 2/3 + 1/3
* 1/4 + 1/4 + 1/4 + 1/4
* 1/4 + 1/2 + 1/4
* 1/2 + 1/4 + 1/4
* 1/4 + 1/4 + 1/2
* 1/4 + 3/4
* 3/4 + 1/4

Elements

* Button
* Font Awesome Icon
* Heading
* Highlight
* Spacing
* Clear Floats
* Inline Code
* Divider

Content

* Pricing Table
* Social Icon
* Share Buttons
* Testimonial
* Countdown
* Skillbar
* Image
* Box
* HTML
* Preformatted Text

Posts

* Masonry - Box
* Masonry - Borderless
* Grid - Box
* Grid - Borderless
* Post Slider 1
* Post Slider 2

Actions

* Accordion
* Accordion Section
* Tabs
* Tab Section
* Toggle
* Google Map
* RSVP

Wrappers

* Center Content
* Full Width

= Demo =

See A DEMO of These Shortcodes Here:

[http://gentry.angiemakes.com/shortcodes/](http://gentry.angiemakes.com/shortcodes/)

= Professional Support =

We have tested this plugin to work with the latest version of WordPress, but do not offer individual troubleshooting support as this is a free plugin. If you need individual support, we're happy to assist you if you purchase our premium support by purchasing a premium, Angie Makes WordPress theme from [angiemakes.com](http://angiemakes.com).

## Installation ##

1. Uzip the `wc-shortcodes.zip` folder.
2. Upload the `wc-shortcodes` folder to your `/wp-content/plugins` directory.
3. In your WordPress dashboard, head over to the *Plugins* section.
4. Activate *WP Canvas - Shortcodes*.

See our help article on [how to manually upload a plugin](http://knowledgebase.angiemakes.com/how-to-upload-and-install-a-custom-third-party-plugin/?cat=18).

## Frequently Asked Questions ##

### How do I use the shortcodes?

Use the shortcode manager in the TinyMCE text editor

## Changelog ##

### Version 3.8

* If theme support options are set, assume theme_reset is true, unless user-defined.

### Version 3.7

* Inserted message to encouarge google map users to enter API key.
* Fixed bug with JS error being produced when Google API Key was not inserted.

### Version 3.5

* Fixed bug with "no" attribute value not being read correctly.

### Version 3.4

* Fixed bug with posts menu option not triggering visual manager

### Version 3.3

* updated posts shortcode to include visual manager for attributes

### Version 3.2

* updated old image path to new image path

### Version 3.1

* updated wpc settings framework to version 1.0.3
* Added option to enter Google Maps API
* Added style override when jquery ui style was enqueued.
* Restructured files

### Version 2.07

* sanitized, escaped, and validated all POST calls

### Version 2.05

* minor style update
* fixed posts_per_page query

### Version 2.03

* fixed bug with post_slider shortcode

### Version 2.01

* improved post_slider shortcode
* added gui interface for post_slider shortcode

### Version 1.97

* updated post slider style

### Version 1.95

* settings framework 1.0.2
* theme reset option when supported themes are activated
* Updated post slider function and style

### Version 1.94

* Added post_slider shortcode
* Added text selection to shortcode inserts
* Fixed bug with width of social icon square

### Version 1.93

* added ability for themes to disable share buttons filter

### Version 1.92

* removed the_excerpt filter for share buttons

### Version 1.91

* Don't output Share flair on excerpts

### Version 1.90

* added option for share buttons on woocommerce product page

### Version 1.89

* removed paginate text span element

### Version 1.88

* updated share button shortcode

### Version 1.87

* Added class name to paginate navigation

### Version 1.86

* minified rslides js file
* 4.1.0 imagesloaded library
* removed unused file
* updated post js
* updated settings framework
* updated font awesome library 4.6.3
* added class name to navigation pagination

### Version 1.85

* add support for single column in wc_posts

### Version 1.84

* Added share buttons shortcode

### Version 1.83

* fixed style bug with part of the social icon was clipped
* Fixed style bug with Google Chome icon being cut off
* update icon css
* Added support for share buttons
* Added format option for social icons widget.
* Updated Font Awesome library to version 4.5.0

### Version 1.82

* Fixed bug with restructured WP_Query class in WordPress 4.4

### Version 1.81

* Load all sharing service scripts over SSL

### Version 1.80

* changed urlencode to rawurlencode
* Updated share links

### Version 1.77

* minor update to shortcodes row structure
* Made sure rslider CSS is not applied to other plugins
* Updated version number for rslides script

### Version 1.75

* Improved logic for calculating colums of masonry grid for mobile and tablet devices.

### Version 1.74

* Fixed style bug with wc_posts category links

### Version 1.73

* Added support for navigation filter to also link to category pages if there is pagination.
* Improved speed when loading gallery format
* Code cleanup

### Version 1.72

* Fixed bug with post filtering

### Version 1.71

* Fixed bug with responsive style for post grid layout

### Version 1.70

* Fixed style bug with post grid layout being hidden

### Version 1.69

* Bug fix with masonry

### Version 1.67

* Masonry post items now load in series when each image is loaded

### Version 1.66

* Updated images loaded library to 3.1.8

### Version 1.65

* improved heading shortcode
* css improvement for social icons

### Version 1.64

* Update to latest version of font awesome 4.3.0
* Fixed bug with order options not being saved on update
* Updated settings framework
* Updated css for double borders

### Version 1.63

* Fixed bug with masonry posts show scroll bar when loading

### Version 1.62

* Fixed bug with accordion and tabs refreshing when inside customizer preview

### Version 1.61

* Fixed bug with print share link

### Version 1.60

* Removed namespace which is not supported in php 5.2

### Version 1.59

* minor bug fix

### Version 1.58

* Added date_format attribute to posts shortcode
* Added alt text to social icon images thus fixing validation errors
* adding settings link in plugin list page
* Added Print Share Button Option
* New options framework library
* Changed name of social media image icon widget
* Code cleanup

### Version 1.57

* Fixed overflow style bug with wc_posts
* Updated default attributes on wc_posts shortcode

### Version 1.56

* Fixed Readme text

### Version 1.55

* Updated TinyMCE button options for shortcodes
* Added new layout 'grid' and template options 'box' and 'borderless' for wc_posts shortcode
* Fixed Translation issue - thanks ziofix

### Version 1.54

* Fixed bug with image settings not previewing images

### Version 1.53

* Added Icon+Text option for share buttons
* Deprecated an attribute in social icons shortcode

### Version 1.52

* Added font icons for share buttons
* Now supporting font icons and images for social media buttons
* Fixed line-height style bug

### Version 1.50

* Social icons now open a new tab by default
* Added ability to display share buttons as text

### Version 1.49

* Added padding around price heading
* Added helpful classnames

### Version 1.48

* Fixed bug on masonry posts layout with the shortcodes displaying in the excerpt

### Version 1.47

* Trigger custom event so other javascript elements can refresh when accordion, tabs, or toggle elements are opened.

### Version 1.46

* hide fullwidth items until they have broken free from their container.
* Fixed problem with plugins appending text to content in wc_post shortcode display
* Update the wc_heading shortcode

### Version 1.45

* Added theme support for social icons and share buttons
* Clean up

### Version 1.44

* Changed gutter width to fixed pixel value instead of percentage.

### Version 1.43

* Added theme support for developers
* Updated settings for social media icons

### Version 1.42

* Improved social icons widget

### Version 1.40

* Fixed bug with Shortcode menu button hiding when latest WooCommerce plugin was installed.
* Added share buttons short code
* Added options for share buttons
* updated name of widget
* fixed bug where we didn't enqueue media in plugin
* optimize loading of js and css files
* Changed name from WC Shortcodes to Shortcodes in menu
* Updated to font awesome 4.1.0
* removed console.log from javascript file
* Use masonry library provided by WordPress
* Give plugin ability to override font awesome icons in theme
* changed links in read me

### Version 1.39

* Removed query ui for tabs and added custom tab script.
* Removed query ui for accordion. Using custom built accordion script.

### Version 1.38

* Made an update to the responsive behavior of wc_posts short code

### Version 1.37

* Fixed bug with google maps not working

### Version 1.36

* switched out isotope library with open source masonry library
* Increased number of pagination buttons

### Version 1.35

* wc_box short code needed line breaks inserted
* update to image flag short code
* changed name
* added more options to image shortcode
* removed unnecessary short code parameters from accordion
* fixed style bug before accordion js was loaded
* isotope appear and animation enabled after initial load.

### Version 1.34

* Updated plugin to be compatible with version 3.9
* Added bottom margin to column sections when in responsive mode

### Version 1.33

* Added shortcodes for inserting Font Awesome icons.

### Version 1.32

* Added Font Awesome Icons.
* Added option to disable Font Awesome Icons. Enabled by Default.
* Fixed bug with no excerpt showing on isotope posts after updating to 1.31.
* Code clean up.
* Style fix for isotope posts.
* Title should not overflow the content area in the isotope posts.

### Version 1.31

* Added ability to insert excerpt under video and audio templates for isotope shortcode.

### Version 1.30

* Fixed bug with isotope pagination not working on homepage.
* Removed invalid css syntax

### Version 1.28

* Added ability to add custom class to buttons.

### Version 1.27

* Removed non GPL library.

### Version 1.26

* Separated accordion shortcodes when inserting into editor.
* Added option to display title on google map load.

### Version 1.25

* force link in social media icons have http at beginning
* Fixed date format string on isotope posts shortcode.

### Version 1.24

* Changed permission from read to manage_options
* Better code formatting on pages and posts.

### Version 1.22

* Added option for countdown shortcode to control labels.

### Version 1.21

* Better responsiveness logic for isotope posts.
* Minor improvements for image shortcode.

### Version 1.20

* Added image shortcode.
* Appended version number to JS file so new scripts get loaded.

### Version 1.19

* Refreshed isotope display on image load.

### Version 1.18

* Navigation element needed to return string and no echo value.

### Version 1.17

* Added ability to showcase posts of any post type in an isotope / masonry layout.

### Version 1.16

* updated youtube icon

### Version 1.15

* added block display to image anchor elements
* updated icons

### Version 1.14

* Cleaned up code
* Added 2 more image dividers
* more support for different theme options

### Version 1.13

* added rsvp shortcode
* removed focus css acting as hover
* minor css fix for countdown shortcode

### Version 1.12

* cleaned up some code

### Version 1.11

* added countdown shortcode
* added link to testimonial author
* added support for buttons to be positioned left, right, or centered
* added type attribute to pricing box

### Version 1.10

* Fixed style bug for testimonials

### Version 1.9

* Appended version number to css and js files

### Version 1.8

* Email link can be either mailto address or hyperlink

### Version 1.7

* Better facebook and pinterest icons

### Version 1.6

* Fixed bug with social icons displaying even if social link was not given.

### Version 1.5

* prepended mailto to email addresses

### Version 1.4

* Fixed minor JS bugs
* Ran Javascript through jshint
* Fixed minor shortcode button bug in TinyMCE editor

### Version 1.3

* Fixed style bug with columns not changing width on mobile devices

### Version 1.2

* Added banner image.

### Version 1.1

* Plugin released.  Everything is new!
